#define LPT_READ  0x379
#define LPT_WRITE 0x37A

void iic_initialise(void)
{
   /* Sets the initial state, and checks it... */
   outp( LPT_WRITE, 0 );

   if ( (inp(LPT_READ) & 0xC0) != 0x40 )
   {
      printf("IIC bus hardware error!\n\n");
      exit(EXIT_FAILURE);
   }
   return;
}